0.2.21 30-Nov-2012
  o Don't wait so long before attempting to reload the router list if the ns/all
    command returned empty. Fixes bug 6483.
  o Stop trying to load router information if torControl is not connected
    anymore. Fixes bug 6482.
  o Save ControlPortWriteToFile with a relative path instead of an absolute
    one. Fixes bug 6568.
  o Fix RouterDescriptor's bandwidth and uptime values when defined from the
    consensus. Fixes bug 6601.

0.2.20  10-Jul-2012
  o Append router status information if Tor is using microdescriptors.
  o Display paths with their native separators. Resolves ticket 4337.
  o Do not ignore the Show on Startup checkbox. Fixes bug 5351.
  o Do not add relative root to DataDirectory if it is empty. Fixes
    bug 6178.

0.2.19  30-May-2012
  o Disable "Run Vidalia when my system starts" if the
    BrowserExecutable config option is set. This will avoid issues with
    TBB users starting Vidalia the wrong way.
  o Automigrate TorExecutable, Torrc and DataDirectory config options
    to the new relative path handling.
  o Really get rid of the openssl dependency. The goal had been to
    achieve that for 0.2.18, but not everything was actually removed.
  o For static builds on windows, correctly link with zlib and
    ws32_2.lib.

0.2.18  14-May-2012
  o Use consensus bandwidth for routers when microdescriptors is
    enabled. Fixes bug 3287.
  o Notify users that a warning status event has appeared by flashing
    the Message Log button. Fixes bug 3957.
  o Fix a method that didn't return the specified type if another
    control method was selected. Fixes bug 4065.
  o Resume listing relays in the Network Map panel even when Tor only
    offers microdescriptors (new in Tor 0.2.3.x). Fixes ticket 4203.
  o Handle unrecognized Tor bootstrap phases. (Tor tells us a summary
    description of each bootstrap phase as it occurs, so we can use
    that string if needed.) Fixes bug 5109.
  o Displays Korean, Catalan and Greek in their native scripts. Fix
    bug 5110.
  o Support adding comments in the same line as a config option inside
    the torrc dialog. Fixes bug 5475.
  o Remove Polipo and Torbutton from Vidalia's build scripts. Resolves
    ticket 5769.
  o Fix deadlock when the browser process failed to launch in OS X.
  o Add ProfileDirectory, DefaultProfileDirectory, PluginsDirectory,
    DefaultPluginsDirectory for better Browser configuration. Also set
    the Vidalia binary location as the starting point for relative
    paths.
  o Enable Burmese, Croatian, Basque and Serbian translation.
  o Remove the "Find bridges" button in order to avoid compromising
    users that need to hide behind tor at all times. Fixes bug 5371.
  o Add visual feedback from VClickLabel when in "pressed" state.
    Resolves ticket 5766.

0.2.17  11-Feb-2012
  o Improve the translation policy: do not remove translations that
    are not under 75% done. This re enables Polish and Catalan.

0.2.16  11-Feb-2012
  o Make the default data directory in windows be located in the Local
    AppData instead of the Roaming one. Fixes bug 2319.
  o Do not launch Firefox with every CIRCUIT_ESTABLISHED signal, do it
    only if Firefox isn't open yet. Fixes bug 2943.
  o Uses TAKEOWNERSHIP and __OwningControllerProcess to avoid leaving
    tor running in background if Vidalia exits unexpectedly. Fixes bug
    3463.
  o Attempt to remove port.conf file before using it to avoid a race
    condition between tor and Vidalia. Fixes bug 4048.
  o Do not allow users to check the "My ISP blocks..." checkbox
    without entering any bridges. Also updates the
    documentation. Fixes bug 4290.
  o Check that the authentication-cookie file length is exactly 32
    bytes long. Fixes bug 4304.
  o Explicitly disable ControlPort auto. Fixes bug 4379.
  o Make the non exit relay option backward compatible with Vidalia <
    0.2.14 so that it doesn't confuse users. Fixes bug 4642.
  o Sets the preferred size for the GUI layout so it doesn't squeeze
    widges when the size isn't big enough. Fixes bug 4656.
  o Removes the option to have only HTTPProxy since it does not work
    any more as it used to do with older tor versions. Users should
    use HTTP/HTTPSProxy instead. Fixes bug 4724.
  o Add a hidden configuration option called SkipVersionCheck so
    systems like Tails can force Vidalia to skip checking tor's
    version. Resolves ticket 4736.
  o When Tor has cached enough information it bootstraps faster than
    what takes Vidalia connect to it, so Vidalia does not see the
    event to update the progress bar. Now Vidalia explicitly asks for
    bootstrap-phase when it connects to Tor, and updates the progress
    to what is actually happening instead of hanging in
    "Authenticating to Tor". Fixes bug 4827.
  o Fix size hints in the main window layout so that tilling window
    managers display the window properly. Thanks to Mike Warren for
    the fix. Fixes bug 4907.
  o Vidalia only validates IPv4 bridge lines. IPv6 bridges are now
    available, and there will be pluggable transport bridge lines. So
    the validation is now delegated to Tor through SETCONF.
  o Explicitly disable SocksPort auto by setting it to its default
    (9050). Fixes bug 4598.
  o Sets __ReloadTorrcOnSIGHUP to 0 if SAVECONF failed, which means
    the user can't write the torrc file. Fixes bug 4833.
  o Enable new translations that are >90% done. The new languages are:
    Bulgarian, Czech, Hebrew, Greek, Indonesian, Korean,
    Dutch. Resolves ticket 5051.
  o Remove translations that aren't ready enough: Japanese, Thai,
    Albanian, Vietnamese, Chinese (Taiwan), Polish, Catalan and
    Burmese.

0.2.15  07-Oct-2011
  o Draw the bandwidth graph curves based on the local maximum, not
    the global maximum. Fixes bug 2188.
  o Add an option for setting up a non-exit relay to the Sharing
    configuration panel. This is meant to clarify what an exit policy
    and an exit relay are. Resolves bug 2644.
  o Display time statistics for bridges in UTC time, rather than local
    time. Fixes bug 3342.
  o Change the parameter for ordering the entries in the Basic Log
    list from currentTime to currentDateTime to avoid missplacing
    entries from different days.
  o Check the tor version and that settings are sanitized before
    trying to use the port autoconfiguration feature. Fixes bug 3843.
  o Provide a way to hide Dock or System Tray icons in OSX. Resolves
    ticket 2163.
  o Make new processes appear at front when they are started (OSX
    specific).

0.2.14  26-Aug-2011
  o Make the AutoPort setting default to false, so that it doesn't
    break backwards compatibility for people that aren't using Vidalia
    inside Tor Browser Bundle.

0.2.13  10-Aug-2011
  o Add a way to bootstrap Tor's torrc file (copy the torrc to a given
    directory before Vidalia starts) so that packages such as
    Bridge-by-default portable bundles for OSX don't violate the directory
    structure of the operating system. Fixes bug 2821.
  o Add the proper CA Certificates so that the "Find Bridges" button works
    again. Fixes bug 2835.
  o Update the useful links help page. Fixes bug 2809.
  o Reintegrate Breakpad, and make it available in platforms other than
    Windows. Resolves bug 2105.
  o Fix bandwidth assigned to relays on the Network Map. A lot of relays are
    displaying an erroneous bandwidth and since they are ordered by that
    value in the Network Map, it leads to confusion. Vidalia now specifies
    the bandwidth as the minimum of the three possible values (burst,
    average and observed). Fixes bug 2744.
  o Fix layouts in the configuration panel to make them look seamlessly
    across all platforms.
  o Add -no-remote parameter to Firefox so it allows another instance of
    non-TBB Firefox. Fixes bug 2254.
  o Add the possibility of changing the torrc path while Tor hasn't
    started. Fixes bug 3109.
  o Make the fact that bridges don't need a DirPort setting more clear by
    removing the content of the field when disabling it. Fixes bug 3119.
  o Improve command line parameter handling. Resolves bug 2965.
  o Fix layout in BandwidthGraph to display labels correctly in every
    language. Fixes bug 2500.
  o Updates README.debs to reflect the change in the packaging now that
    Vidalia uses Git. Fixes bug 3668.
  o Add a way to use the autoconfiguration for ControlPort and SocksPort.
    Tor can now autoconfigure Control and Socks Ports when the default ones
    are in use. This makes it easier to run several different instances of
    TBB at the same time. Resolves bug 3077.
  o Provide the necessary fields (Control password, ControlPort) to let
    TorButton NEWNYM. Vidalia provides these in env vars when it launches
    the Firefox instance. Resolves bug 2659.

0.2.12  10-Apr-2011
  o Vidalia's SVN repository has been migrated to Git. All branches but
    master have been archived for later review, since SVN trunk had changed
    significantly; they should be reviewed later to determine whether
    they can and should still be merged. All \version $Id$ headers have been
    removed since Git does not support $Id$.
  o As part of the move, Vidalia's Trac is now at:
      https://trac.torproject.org/
    All Trac numbers in Vidalia 0.2.12 and beyond refer to the new Trac
    entries. The old Trac is archived for posterity at:
      https://trac-vidalia.torproject.org/projects/vidalia
  o Add support for Tor's ControlSocket as an alternative to ControlPort. It
    can be used for Linux maintainers to build a better default interaction
    between Tor and Vidalia by just setting the right permissions and file
    owner on the socket file for the connection. Using ControlSocket means
    you don't need to worry about authentication methods with ControlPort.
    Resolves bug 2091.
  o Add a way to edit arbitrary torrc entries while Tor is running. Now
    Vidalia users have more flexibility for configuring Tor. This change
    doesn't replace editing torrc directly, because on some systems
    (like Debian) Tor can't write to its torrc file. Resolves bug 2083.
  o Remove Vidalia's direct dependency on OpenSSL. This dependency had
    caused Vidalia to fail to run on FreeBSD (due to a bug in the FreeBSD
    ports collection) and Fedora 14 (due to an incompatibility between
    OpenSSL and Fedora's SELinux configuration). Resolves bug 2287 and
    2611.
  o Restore compatibility with Windows 2000. An update to the MiniUPnPc
    library had introduced an unnecessary dependency on a system library
    not included in Windows 2000. Fixes bug 2612.
  o Fix how the advanced message log window displays message updates when
    messages are coming in too quickly, for example when you're listening
    to debug-level messages from Tor. Fixes bug 2093.
  o Add a what's this? link to the bridge option to explain in a more verbose
    fashion what being a bridge involves. Resolves bug 1995.
  o Prompt users to restart Tor after changing the path to torrc. Fixes bug
    2086.
  o Disable the directory port configuration field when configuring a
    bridge. A bridge does not need to operate a separate directory port,
    and operating one can make a bridge easier to detect. Fixes bug 2431.
  o When Vidalia asks Tor for a bridge's usage history before anyone has
    used it, correctly report that no clients have used the bridge recently.
    Previously, it would incorrectly warn that it was unable to retrieve the
    bridge's usage history. Fixes bug 2186.

0.2.10  26-Aug-2010
  o Drop remote GeoIP lookups. Instead, the default behavior now is to use
    the country-level GeoIP database that ships with Tor to map an IP
    address to a country code, and then map the country code to latitude
    and longitude with a separate database built into Vidalia.
  o Add a -DUSE_GEOIP build option to enable building with MaxMind's GeoIP
    C library for using a local city-level or country-level database
    instead of Tor's database. See README.geoip for details on use.
  o Only update a stream's displayed target address in the network map if
    no hostname was given in the stream's NEW status event. Fix suggested
    by Robert Hogan. (Ticket #608)
  o Update the menubar icon at the same time as the dock icon on OS X.
    Previously, we had a blank icon in the menubar. (Ticket #610)
  o Updated several translations.


0.2.9   20-May-2010
  o Remove the GoDaddy CA certificate bundle since we changed the
    certificate used to authenticate connections to
    geoips.vidalia-project.net for downloading GeoIP information from a
    commercial GoDaddy certificate to a free CACert certificate.
  o Define -D_WIN32_WINNT=0x0501 on Windows builds so that MiniUPnPc will
    build with the latest versions of MinGW.
  o Modify miniupnpc.c from MiniUPnPc's source so that it will build on
    Mac OS X 10.4.
  o Work around Qt's new behavior for the QT_WA macro so that Vidalia will
    work correctly again on Windows with Qt >= 4.6.
  o Force CMake to include the *_RELEASE versions of Qt libraries when
    building a .dmg on Mac OS X, so that it will work with CMake >= 2.8 as
    well.
  o Explicitly link zlib into src/common to avoid link errors on some
    older versions of Mac OS X.
  o Add Danish, Brazilian Portguese and Vietnamese translations.


0.2.8   11-Apr-2010
  o Stop using our custom dock icon implementation on OS X and just use
    QSystemTrayIcon everywhere. Fixes the build on Snow Leopard.
    (Ticket #562)
  o Update the bundled CA certificates to re-enable downloading bridges
    from bridges.torproject.org via SSL.
  o Include a pre-configured qt.conf file in the Mac OS X bundles that
    disable Qt plugin loading from the default directories. Otherwise,
    users who have Qt installed in a system-wide location would end up
    loading the libraries twice and crashing.
  o Include libgcc_s_dw2-1.dll in the Windows installers, since Qt 4.6 now
    depends on that DLL. Including the .dll is currently hardcoded, so the
    Windows installer must be built using Qt 4.6. (Ticket #555)
  o Update the included version of miniupnpc to 1.4.20100407.
  o Add Burmese and Thai UI translations.


0.2.7   25-Jan-2010
  o Remove the explicit palette set for the configuration dialog that
    prevented the dialog from inheriting colors from the user's current
    system theme. (Ticket #485. Patch from mkirk.)
  o Correct the path to the badge pixmap used in time skew warning
    messages. (Ticket #537. Patch from mkirk.)
  o Fix compilation on Debian GNU/kFreeBSD. Patch from dererk.
  o Clean up a couple status event messages related to dangerous port
    warnings.
  o Change the vidalia_ru.nsh output encoding from KOI8-R to Windows-1251.
    (Ticket #527)
  o Add an option for building an OS X 10.4 compatible binary.


0.2.6   02-Nov-2009
  o Remove the erroneous comma in the default vidalia.conf in the
    Mac OS X drag-and-drop bundle, since we now dump whatever the
    user types into a QString rather than parsing it into a
    QStringList.
  o Updated the Arabic, Russian and Slovenian translations.


0.2.5   14-Oct-2009
  o Add support in the Network settings page for configuring the
    Socks4Proxy and Socks5Proxy* options that were added in
    Tor 0.2.2.1-alpha. Patch from Christopher Davis.
  o Add a "Automatically distribute my bridge address" checkbox (enabled
    by default) to the bridge relay settings options. (Ticket #524)
  o Add ports 7000 and 7001 to the list of ports excluded by the IRC
    category in the exit policy configuration tab. (Ticket #517)
  o Add a context menu for highlighted event items in the "Basic" message
    log view that allows the user to copy the selected item text to the
    clipboard.
  o Maybe fix a time conversion bug that could result in Vidalia
    displaying the wrong uptime for a relay in the network map.
  o Stop trying to enforce proper quoting and escaping of arguments to be
    given to the proxy executable (e.g., Polipo). Now the user is on their
    own for properly formatting the command line used to start the proxy
    executable. (Ticket #523)


0.2.4   07-Sep-2009
  o Split the message log into "Basic" and "Advanced" views. The
    "Advanced" view contains standard log messages from Tor, while the new
    experimental "Basic" view displays status events received from Tor.
    (Ticket #265)
  o Apply an application-global stylesheet on OS X that forces all tree
    widgets in Vidalia to use the 12pt font recommended by Apple's human
    interface guidelines.
  o Add an OSX_FORCE_32BIT CMake option that can be used to force a 32-bit
    build on Mac OS X versions that default to 64-bit builds (e.g., Snow
    Leopard), if only 32-bit versions of the Qt libraries are available.
  o Fix a bug introduced in 0.2.3 that prevented Vidalia from correctly
    responding to ADDRMAP events from Tor. The result was that users would
    sometimes see IP addresses in the connection list shown under the network
    map rather than hostnames.
  o Fix a bug in the default "bootstrap" vidalia.conf file included in the
    OS X drag-and-drop bundles that pointed to a non-existent Polipo
    configuration file, causing Polipo to fail on startup.


0.2.3   27-Aug-2009
  o Create the data directory before trying to copy over the default
    Vidalia configuration file from inside the application bundle on Mac
    OS X. Affects only OS X drag-and-drop installer users without a
    previous Vidalia installation.
  o Change all Tor event handling to use Qt's signals and slots mechanism
    instead of custom QEvent subclasses.
  o Fix another bug that resulted in the "Who has used my bridge?" link
    initially being visible when the user clicks "Setup Relaying" from
    the control panel if they are running a non-bridge relay.
    (Ticket #509, reported by "vrapp")
  o Always hide the "Who has used my bridge?" link when Tor isn't running,
    since clicking it won't return useful information until Tor actually
    is running.


0.2.2   14-Aug-2009
  o When the user clicks "Browse" in the Advanced settings page to locate
    a new torrc, set the initial directory shown in the file dialog to the
    current location of the user's torrc. (Ticket #505)
  o Use 'ditto' to strip the architectures we don't want from the Qt
    frameworks installed into the app bundle with the dist-osx,
    dist-osx-bundle and dist-osx-split-bundle build targets.
  o Fix a bug in the CMakeLists.txt files for ts2po and po2ts that caused
    build errors on Panther for those two tools.
  o Include rebuilt OpenSSL libraries in the Windows packages that are
    built with the static (/MT) version of the Microsoft Visual C++
    Runtime. Otherwise, we would require users to install the MSVC
    Redistributable, which doesn't work for portable installations such as
    the Tor Browser Bundle.
  o Remove the NSIS file for the Vidalia installer since we now ship
    MSI-based installers on Windows.


0.2.1   03-Aug-2009
  o Add a "Find Bridges Now" button that will attempt to automatically
    download a set of bridge addresses and add them to the list of bridges
    in the Network settings page.
  o Add support for building with Google's Breakpad crash reporting
    library (currently disabled by default).
  o Show or hide the "Who has used my bridge recently?" link along with
    the other bridge-related widgets when the user toggles the relay mode
    in the Network settings page. (Ticket #480)
  o Tolerate bridge addresses that do not specify a port number, since Tor
    now defaults to using port 443 in such cases.
  o Add support for viewing the map as a full screen widget when built
    with KDE Marble support.
  o Compute the salted hash of the control password ourself when starting
    Tor, rather than launching Tor once to hash the password, parsing the
    output, and then again to actually start Tor.
  o Add a signal handler that allows Vidalia to clean up and exit normally
    when it catches a SIGINT or SIGTERM signal. (Ticket #481)
  o If the user chooses to ignore further warnings for a particular port,
    remove it from the WarnPlaintextPorts and RejectPlaintextPorts
    settings immediately. Also remember their preferences and reapply them
    later, even if Tor is unable to writes to its torrc.(Ticket #493)
  o Don't display additional plaintext port warning message boxes until
    the first visible message box is dismissed. (Ticket #493)
  o Renamed the 'make win32-installer' CMake target to 'make dist-win32'
    for consistency with our 'make dist-osx' target.
  o Fix a couple bugs in the WiX-based Windows installer related to building
    a Marble-enabled Vidalia installer.
  o Write the list of source files containing translatable strings to a
    .pro file and supply just the .pro file as an argument to lupdate, rather
    than supplying all of the source file names themselves.


0.1.15  09-Jul-2009
  o Bump the minimum required Qt version to 4.3.0.
  o Remove USE_QSSLSOCKET as a build option. If your Qt doesn't support
    OpenSSL, then you don't get GeoIP lookups.
  o Fix the TorPostFlight portion of the OS X bundle installer so it
    doesn't fail when installing Torbutton.
  o Include libeay32.dll in the Windows installers.


0.1.14  29-Jun-2009
  o Close the TorProcess more quickly after registering for log events, so
    we avoid displaying duplicate log messages received over Tor's control
    port and Tor's stdout log. (Ticket #484)
  o Explicitly set CMAKE_OSX_SYSROOT to the 10.4 SDK rather than expecting
    the packager to do so when building a Universal binary.
  o Include Tor's geoip file in the Windows bundles.


0.1.13  25-May-2009
  o Remove an old warning on the relay settings page that running a bridge
    relay requires Tor 0.2.0.8-alpha or newer.
  o Add a workaround for a bug that prevented Vidalia's tray icon from
    getting added to the system notification area on Gnome when Vidalia was
    run on system startup. Patch by Steve Tyree. (Ticket #247)
  o Fix a bug that prevented the control panel from displaying when
    running on the Enlightenment window manager. Patch by Steve Tyree.
  o Rename the CMake variables used to store the location of Qt's lupdate
    and lrelease executables. Recent versions of CMake decided to use the
    same variable name, which was stomping on mine, resulting in the wrong
    lupdate and lrelease executables being used.
  o Use the TorProcess subclass of QProcess for launching Tor when hashing
    a control password so we can take advantage of its PATH+=:/usr/sbin
    trick on Debian there too.
  o If a RouterDescriptor object is empty, don't try to display it in the
    router descriptor details viewer. (Ticket #479)
  o Wait until Vidalia has registered for log events via the control port
    before ignoring Tor's output on stdout. Previously we would start
    ignoring Tor's stdout after successfully authenticating, but before
    registering for log events which, in some cases, could lead to
    messages not appearing in the message log.
  o Update many translations and remove others than are no longer
    up-to-date enough to be useful.


0.2.0   19-Mar-2009
  o Add support for changing UI languages without having to restart
    Vidalia.
  o Add preliminary support for using the KDE Marble widget for the
    network map. It's currently a compile-time option and is disabled by
    default.
  o Add support for displaying Tor's plaintext port warnings. Also gives
    the user the option to disable future warnings.
  o Add an interface for displaying the geographic distribution of
    clients who have recently used a bridge operator's relay.
  o Add tooltips to tree items in the help browser's table of contents. Some
    of the help topic labels are a bit long.
  o Switch to a simpler About dialog and move the license information to a
    separate HTML-formatted display.
  o Switch to a simpler drag-and-drop installer in the OS X bundles.
  o Switch to an MSI-based installer on Windows.
  o Clear the list of default CA certificates used by QSslSocket before adding
    the only one we care about. Suggested by coderman.
  o Support building with Visual Studio again.
  o Add a Debian package structure from dererk.
  o Updated Albanian, Czech, Finnish, Polish, Portuguese, Romanian,
    Swedish, Turkish and many other translations.


0.1.12  16-Mar-2009
  o Fix a bug in the hidden service settings configuration class that
    could lead to compile errors in Visual Studio and on IRIX.
  o Fix a build error that occurred on IRIX when using the MIPSPro
    compiler. Patch from Matthew Saunier.
  o Remove two duplicated strings in the Spanish translation of Qt's
    internal strings (qt_es.po). The duplicated strings caused build
    errors when building with Qt 4.5. (Ticket #469)
  o Remove the code that altered PublishServerDescriptor when becoming a
    bridge, since Tor handles that itself now, and ensure that BridgeRelay
    is reset when going from bridge to just-a-client mode.
  o Remove an unnecessary #include from helpbrowser.cpp.
  o Add an application icon based on Tor's logo to the vidalia.desktop
    file.


0.1.11  16-Feb-2009
  o Remove support for configuring Tor's User and Group options in the
    Advanced settings page.
  o Only set HttpsProxy if both the "I use a proxy..." checkbox and the
    "Use this proxy for HTTPS also" checkboxes are checked. Otherwise,
    unset it. (Ticket #440)
  o Fix a use of an uninitialized variable that would occur when Tor was
    already running when Vidalia started, and the "Start Tor when Vidalia
    Starts" checkbox is checked. (Ticket #443)
  o Switch to using 'getinfo address-mappings' instead of
    'getinfo addr-mappings'. (Ticket #454)
  o Backport a change that removes a verticalSpacing property from a .ui
    file, so Vidalia 0.1.x will still build on Qt 4.2. (Ticket #442)
  o Fix some memory leaks in the hidden service configuration dialog.
  o Fix a CIRC event parsing bug that would occur when the CIRC event
    contained a 0-hop circuit path and EXTENDED_EVENTS is enabled.
  o Include patches from Steven J. Murdoch that enables the Tor Browser
    Bundle to launch Firefox itself without relying on Portable Firefox.


0.1.10  02-Nov-2008
  o Add a prettier dialog for prompting people for their control port password
    that also includes a checkbox for whether the user wants Vidalia to remember
    the entered password, a Help button, and a Reset button (Windows only).
  o Fix a crash bug that occurred when the user clicks 'Clear' in the message
    log toolbar followed by 'Save All'. (Ticket #434)
  o Uncheck the Torbutton options by default in the Windows bundle installer
    if Firefox is not installed. (Ticket #421)
  o Add a Windows bundle installer page that warns the user that they should
    install Firefox, if it looks like they haven't already done so. (Ticket
    #421)


0.1.9   02-Sep-2008
  o Create the control panel's menubar as a parentless QMenuBar, so it is
    visible even if the control panel is not the topmost window. (Ticket #286)
  o Add a context menu with a "copy" option to RouterDescriptorView? so
    users can copy some text to the clipboard. (Ticket #291)
  o Make the Tor status label and Vidalia tray icon tooltip display the same
    text after a circuit is established. (Ticket #390)
  o Correct the location of the simplified Chinese help files so they will
    actually load again.
  o Try to load a translation for the current language from Qt's translations
    directory, so we can get Qt's internal widgets (e.g. QDialogButtonBox)
    translated. (Ticket #375)
  o Use "$\r$\n" in the MessageBox strings in the Windows installer
    translations, so the newlines appear properly. (Ticket #411)
  o Grab the Qt .dlls included in the Vidalia installer directly from the
    configured Qt binary directory (as specified by ${QT_BINARY_DIR}).
  o Add OPENSSL_BINARY_DIR and MINGW_BINARY_DIR cmake options that can be
    used to specify where the Windows installer NSIS scripts should look
    for those dlls, rather than requiring them to all be in a "bin" directory
    under ${Vidalia_BINARY_DIR}.
  o Make the location of the Tor, Privoxy, and Torbutton package files into
    configurable CMake options so the bundle can be built without having to
    shimmy all these files into some specific directory hierarchy. Makes the
    bundle a bit less annoying to build.
  o Use the architecture name (e.g. "universal" or "ppc") rather than the
    OS X version name (e.g. "tiger" or "panther") when naming OS X packages.
  o Update the INSTALL file to recommend out-of-source builds.
  o Stop building the nsh2po and po2nsh conversion tools on non-Windows
    platforms.


0.1.8   17-Aug-2008
  o Make the position of the y-axis on the bandwidth graph variable based on
    the width of the axis labels. This works better for languages like Farsi
    where "KB/s" somehow becomes 19 characters. (Ticket #373)
  o Support alphanumeric circuit and stream IDs, rather than assuming IDs will
    always be numeric. Current Tors only use numeric circuit and stream IDs,
    but they may some day. (Ticket #400)
  o Include ssleay32.dll in the Windows packages so Vidalia won't crash when
    it finds an incompatible version of ssleay32.dll in the user's $PATH.
    (Ticket #401)
  o If the message log is sorted by severity or lexiographically, or if the
    user manually repositioned the vertical scroll bar, then retain the scroll
    bar's previous position after adding a new message to the log.
  o If the current message log layout is right-to-left (e.g. if the user's
    translation is Farsi), then use a custom item delegate for the log message
    column whose sole purpose is to keep Qt from screwing with the message
    text. (Ticket #396)
  o Reduce the default number of messages to retain in the message log to 50
    messages. Most people never look at the window and the extra 200 messages
    just needlessly eat memory.
  o Restore the "zoom" and "close" icons in the router and circuit list
    context menus. They were lost in the move to the Oxygen icon theme in
    0.1.4.
  o Make both the 'Ctrl+W' and 'Esc' shortcuts for closing any Vidalia window.
    Previously, it was just 'Esc' on Windows and 'Ctrl+W' on all other
    platforms.
  o Make pressing "Return" mean the same thing as clicking 'OK' in the
    config dialog, and make pressing 'Esc' mean the same thing as clicking
    'Cancel'. (Ticket #327)
  o Fix the icon used for the help browser's window icon.


0.1.7   02-Aug-2008
  o Handle spaces in the Tor version number we get from 'getinfo version'
    since Tor has included svn revision numbers in its response (e.g.
    "0.2.0.30 (r12345)") for a while now.
  o Include stdlib.h in the format conversion tools. Fixes the build on some
    platforms.
  o Rework the message log scrollbar logic so it's consistent again on
    Qt 4.4.0. (Ticket #369)
  o Remove the horizontal scroll bar behavior in the message log. It was
    really annoying and unnecessary since long messages have tooltips anyway.
  o Add "TZ=UTC" to the BrowserExecutable's environment variables when launched
    via Vidalia.
  o Rename the 'pt_BR' Windows installer translation to just 'pt' since there
    is apparently nothing 'BR'-specific about it. (Ticket #394)
  o Update Tor's URL in the Windows installer and translations.
  o Add an nsh2po tool (not built by default) that can be used to extract
    LangString entries from an NSIS file and generate a .po file. This was
    used to help push our installer translations into Pootle.
  o Add a po2nsh tool to convert the Windows installer .po files to NSIS .nsh
    files at build time.
  o Tell CMake to skip the pkg/ subdirectories that aren't likely to be needed
    on the current build platform.
  o Updated Czech, French, and German translations.


0.1.6   08-Jul-2008
  o Fix a bug in our control socket communication introduced in 0.1.3 that
    could cause excessive CPU usage or crashing on some platforms.
  o Fix po2ts so that it uses the same encoding to read in a .po file that it
    uses to write out the .ts file. This resulted in garbled characters when
    viewing some translations on apparently all platforms except OS X.
  o Use the correct field when trying to parse the severity value from the
    'getinfo status/bootstrap-phase' response.
  o Fix compilation of the ts2po and po2ts conversion tools on OS X Panther.
  o Tweak the ts2po and po2ts dependencies so Vidalia can be built with Xcode
    on OS X again.
  o Update ts2po to use 'msgctxt' in .po files for specifying message
    context, rather than overloading the "#:" line.
  o Update po2ts to tolerate using either 'msgctxt' or an overload "#:" line
    for specifying message context.
  o If we're building with CMake 2.6, then force CMake 2.4 compatibility for
    linker search path behavior. Fixes a CMake warning when building with
    CMake 2.6. (Ticket #374)
  o Explicitly link in ws2_32 when building with UPnP support on Windows.
    (Ticket #374 as well)
  o Add a Romanian GUI and installer translation.
  o Updated Farsi, Finnish, French, German, and Swedish translations.


0.1.5   21-Jun-2008
  o Add support for Tor 0.2.1.2-alpha's new 'status/bootstrap-phase' getinfo
    option. Call it to update the progress bar to Tor's current bootstrapping
    progress immediately after connecting to Tor.
  o Convert to using GNU gettext .po files for our translations, rather than
    Qt's .ts format. The .po files are converted to .ts (and then to .qm) at
    build time. We switched to .po files so we can point pootle
    (https://translation.torproject.org) directly at Vidalia's svn repository.
  o Force a repaint() to try to ensure the progress bar and onion status icon
    don't overlap briefly when starting Tor.
  o Tweak the resize policy for the control panel so the vertical size is
    fixed at minimal and sufficient, and the horizontal size is adjustable but
    obeys the minimum size hint. (Ticket #363)
  o Default to the language chosen by the user during install (Windows-only)
    rather than the system language. (Ticket #246)
  o Include the text of the LGPLv3 in the binary packages.
  o Updated Finnish, French, German, Japanese, Spanish, and Swedish
    translations.


0.1.4   13-Jun-2008
  o Add a progress bar and status label for displaying Tor's startup progress
    based on new Tor bootstrapping status events.
  o Include UPnP support based on the MiniUPnPc library. Also added a UPnP
    test dialog to help users determine if their router or firewall supports
    UPnP. Initial patch for UPnP support from Steven J. Murdoch.
  o Switch all of Vidalia's icons to the KDE Oxygen theme so that our icon set
    has a a DFSG-compatible license.
  o Fix a crash bug that occurred when opening the settings dialog when Tor
    was not running. (Ticket #360)
  o Respond to mouse wheel events on the network map by zooming in or out on
    the map image. Patch from Vern Sun.
  o Make external links in the help browser clickable, which will try to open
    them in the user's default browser. The user is first warned that their
    request might not be anonymous if their default browser is not configured
    to use Tor.
  o Apply some Tor trademark compliance updates to user-visible strings.
  o Cut down the margin around the table of contents in the help browser. It
    looked goofy with so much empty space.
  o Update Finnish, Spanish, and Swedish translations.


0.1.3   25-May-2008
  o Added a hidden service configuration UI designed and implemented by
    Domenik Bork.
  o Added a "Proxy Executable" configuration option and UI that allows
    you to specify an HTTP proxy application that Vidalia will start and
    stop along with Tor.
  o Fix a bug in how Vidalia sent control commands to Tor that would
    cause Vidalia to freeze when built against Qt 4.4.0. (Ticket #353)
  o If we're running Tor >= 0.2.0.13-alpha, then check the descriptor
    annotations for each descriptor before deciding to do a geoip lookup
    on its IP address. If the annotations indicate it is a special purpose
    descriptor (e.g., bridges), then don't do the lookup at all. (Ticket #326)
  o Fix the OSX_FAT_BINARY build option so that it actually does produce a
    Universal binary when enabled. (Ticket #342)
  o Rename src/util to src/common, since libutil.a was apparently conflicting
    with libUtil.dylib when compiling Vidalia on OS X Leopard.
  o Switch to using 'getinfo ns/all' instead of 'getinfo network-status' to
    get a list of available relays. 'getinfo network-status' was deprecated
    long ago.
  o Only display the running relays in the big list of relays to the left of
    the network map. Listing a big pile of unavailable relays is not
    particularly useful, and just clutters up the list.
  o Add support for the 'usefeature verbose_names' control command that was
    introduced way back in Tor 0.1.2.2-alpha.
  o Correct the tab order on the custom bandwidth settings tab. (Ticket #351)
  o Remove the 'Run Tor as a Service' checkbox. Lots of people seem to be
    clicking it even though they don't really need to, and we end up leaving
    them in a broken state after a reboot.
  o Restore the Windows application icon that was inadvertently removed in
    0.1.2. Reported by dr|z3d. (Ticket #358)
  o Add a Turkish GUI translation from Yunus Kaba.
  o Updated Finnish and Swedish translations.


0.1.2   24-Mar-2008
  o Correctly load the CA certificate used to verify SSL connections to the
    GeoIP server. This caused Vidalia >= 0.1.0 clients built against Qt >=
    4.3.2 to be unable to retrieve updated GeoIP information. (Ticket #349)
  o Fix compilation when UINT_MAX is not defined. (Ticket #350)
  o Bridges are no longer required to have a DirPort set as of Tor
    0.2.0.13-alpha, so stop forcing it on for bridges. At some point, we'll
    likely start forcing DirPort to be disabled for bridges, and on by default
    but optional for normal relays. (Ticket #337)
  o Fix a typo in VidaliaMacros.cmake that would allow configuration to
    continue even if windres.exe couldn't be found.
  o Update the version of Torbutton included in the OS X bundle to
    1.1.17-alpha, and actually include the bundle's uninstaller script.
  o Updated Finnish and Swedish translations.


0.1.1   17-Mar-2008
  o Use CMake to configure the version number that ends up getting displayed
    in the About box.
  o Update the RPM .spec file with the new CMake requirements. Patch from Oliver
    Niesner.
  o TunnelDirConns and PreferTunneledDirConns are now enabled by default as of
    Tor 0.2.0.22-rc.
  o Don't check the 'My ISP blocks connections to the Tor network' box simply
    because TunnelDirConns is enabled. Checking the box still enables
    encrypted directory connections on older Tors.
  o Add a Japanese GUI translation from Nardog
  o Updated Finnish and Swedish translations


0.1.0   01-Mar-2008
  o Migrate to CMake as our build system, instead of the previous mix of
    autoconf and qmake. See the updated INSTALL file for more information.
  o Add an OpenSSL license exception so Vidalia can be linked against OpenSSL
    and redistributed. Also include the text of the GPLv3, since our license
    says "GPLv2 or later."
  o Don't try to 'SETCONF HashedControlPassword' if we couldn't hash the
    control password, otherwise we could end up disabling authentication.
    (Ticket #305)
  o If Vidalia is built against Qt >= 4.3 with SSL support, then do our GeoIP
    lookups over an SSL connection.
  o Work around a crash bug with a sorted QTreeWidget that occurs with Qt
    4.3.3, and possibly later versions as well.
  o Parse ReachableAddresses values properly when there are multiple ports
    specified on a single line.
  o RESETCONF the value of PublishServerDescriptor when the user switches from
    being a relay to acting as only a client.
  o Add support for Tor's STATUS_GENERAL, STATUS_CLIENT, and STATUS_SERVER
    status events.
  o Listen for the DANGEROUS_VERSION general status event and warn the user
    if their version of Tor is no longer recommended.
  o Listen for the CIRCUIT_ESTABLISHED client status event and only turn the
    yellow onion status icon green after Tor has successfully established a
    circuit.
  o If the user's vidalia.conf contains an empty value for their Tor
    executable, use the default for the user's platform.
  o If the user is running a bridge relay with Tor 0.2.0.13-alpha or newer,
    then set 'BridgeRelay 1' when configuring their bridge.
  o Don't save a randomly generated control password to Vidalia's
    configuration file. If Vidalia gets disconnected from Tor or crashes, we
    will no longer be able to reconnect.
  o Don't let users save an empty string for a Tor executable in the Settings
    dialog.
  o Apply the changes for settings pages in the same order in which the pages
    appear in the Settings dialog. The only two pages for which this matters
    are the 'Network' and 'Sharing' pages. (Ticket #336)
  o Old Jabber clients apparently use port 5223 for encrypted connections. So,
    include that port as part of the "Instant Messaging" exit policy checkbox.
    (Ticket #333)
  o Stop displaying flags next to the language names in the Appearance
    settings page.
  o Add a "How do I find a bridge?" link and corresponding help text to the
    'Network' settings page.
  o Add a 'BrowserExecutable' configuration option to launch a Web browser
    when Tor has built a circuit, and exit Vidalia when the browser is closed.
    Patch from Steven J. Murdoch <http://www.cl.cam.ac.uk/users/sjm217/>.
  o Add 'ProxyExecutable' and 'ProxyExecutableArguments' configuration options
    to launch a proxy application with given parameters when Vidalia starts,
    and close it when Vidalia exits.
    Patches from Steven J. Murdoch <http://www.cl.cam.ac.uk/users/sjm217/>.
  o Respond to the Delete key in the network map by closing whatever circuits
    or streams are currently selected. Suggested by Andrew Lewman.
  o Rename the 'Relay' settings page to the 'Sharing' settings page.
  o Add a vidalia.desktop desktop entry file that can be installed with
    'make install'.
  o Add an Albanian GUI translation from Frederik Nosi.
  o Add a Hebrew GUI and Win32 installer translation.
  o Updated Finnish, Norwegian, Polish, Russian, and Swedish translations.


0.0.16  22-Nov-2007
  o Fix compilation on Mac OS X 10.3 (Panther).
  o GETCONF RelayBandwidthRate and RelayBandwidthBurst properly on Tor >=
    0.2.0.1-alpha. In 0.0.15, we were SETCONFing RelayBandwidthFoo when
    appropriate, but always GETCONFing BandwidthFoo. Fixes Ticket #298.
  o Display the correct default list of allowed ports in the Network settings
    page, and don't try to save an empty list. Noticed by Roger Dingledine.
  o Only remember the torrc and datadir values if Vidalia started Tor, or
    if the user changed the displayed values.
  o Fix some dumb logic in determing whether the Windows we're running on
    supports window transparency.
  o Use the correct icon for the "Close Stream" context menu action in the
    circuit and stream list widget.
  o Create the message log, network map, bandwidth graph, and settings dialogs
    without parents, so they can be independently brought to the foreground on
    Windows Vista.
  o Update the default bandwidth rate and burst rate to 5MB and 10MB,
    respectively, to match Tor's defaults.
  o Make the "Use this proxy for HTTPS also" checkbox checked by default.
  o Disable the labels that display the user's bridge relay information if the
    user is not running a bridge, instead of just disabling the copy button.
  o Modified the Mac OS X bundle installer to set Vidalia to start
    automatically on login for the user that installed the bundle.
  o Added an Arabic translation from Ahmad Gharbeia.
  o Updated Finnish, German, Simplified Chinese, and Traditional Chinese
    translations.


0.0.15  24-Oct-2007
  o Add a new 'Network' settings page to the config dialog that lets users
    configure an HTTP/HTTPS proxy, specify allowed ports if they are behind a
    restrictive firewall or proxy, and set up bridges and tunneled dir conns.
  o Add a 'Help Censored Users Connect to the Tor Network' option to the
    'Server' settings page to help users set up their Tor as a brigde relay.
    This option is only available for those running Tor 0.2.0.8-alpha or
    newer.
  o Stop hardcoding a font size of 10 in many places. This made the fonts on
    Mac OS X look non-standard and inconsistent.
  o Restructure the code that manages GETCONFing values from Tor and then
    later SETCONFing any changed values to make it easier to add more pages
    like the 'Network' and 'Server' settings pages in the future.
  o If we prompt the user to enter a control password and they enter one,
    don't keep trying to use our randomly generated password.
  o Fix a bug in the network map that would cause the user to sometimes be
    unable to select a circuit or server after clicking and dragging the mouse
    in one of the lists. (Ticket #269)
  o Stop leaking memory for pretty much every circuit we plotted on the network
    map. Found by Roger Dingledine and his Valgrind.
  o Stop leaking memory if TorMapWidget::addRouter() is called for a router
    that is already on the map. Also found by Roger Dingledine and his
    Valgrind.
  o Stop leaking memory used by QTranslator and the configuration dialog on
    exit.
  o Default to using an ORPort of 443 when setting up a server on Windows.
    9001 is still the default everywhere else.
  o Fix a crash bug that could occur when Vidalia gets disconnected from Tor
    while waiting for a response to a previous command. Bug reported by Roger
    Dingledine. (Ticket #295)
  o Create a single TorProcess object used to start and stop Tor, instead of
    creating a new one each time and cleaning up after Tor exits. (Ticket
    #294)
  o Do the control connection asynchronously so we aren't trying to call
    waitForConnected() in the control socket thread before it has an event loop
    running.
  o Don't start Tor or test for a running Tor with an open control port until
    the main event loop is running.
  o Older Tors write their state file even if all we're doing is
    --hash-password. So if the user has configured a non-default data
    directory, include that in the list of command line arguments when we run
    Tor to hash the user's control password.
  o Support changing Tor's control port and authentication settings without
    having to restart Tor for the settings to take effect.
  o Recognize the REMAP stream status in STREAM events.
  o Allow the control panel window to expand horizontally and vertically to
    fit longer translated text labels.
  o Make VClickLabel right-to-left aware so the control panel buttons look
    correct when using the Farsi translation.
  o Fix our configure.in to produce a Makefile instead of an Xcode project on
    OS X. This only affected users who got Qt 4.3 from Trolltech's .dmg
    installers.
  o Fix our configure.in to tell QMake the fully-expanded path to which our
    man page should be installed.
  o Fix our configure.in so we can use it to build under Cygwin or MinGW with
    Qt >= 4.3.0.
  o Move to a consistent use of the word "Relay" instead of "Server" or
    "Router" in the interface.
  o Convert the path separators in a configured data directory to whatever the
    platform standard is.
  o Remove the custom palette used in all Vidalia's windows that had been
    around since 0.0.1.
  o Attempt to standardize the GUI fonts to whatever the user's platform
    thinks is best.
  o Default to using Qt's Windows Vista style on Windows Vista. On other
    Windowses or any non-Mac platform, default to the Cleanlooks style if
    we're building with Qt >= 4.3.
  o Add some information to the help browser about the new network settings
    and bridge relay configuration, as well as the new authentication
    settings in 0.0.14.
  o When the user clicks the Help button in the Settings dialog, take them
    directly to the help topic for whichever settings page they are currently
    viewing.
  o Added Torbutton 1.1.9.1-alpha to the Mac OS X bundles, thanks to
    Andrew Lewman.
  o Disable enable-edit-actions, enable-remote-toggle, and
    enable-remote-http-toggle in the bundled Privoxy configuration. Suggested
    by Greg Fleischer.
  o Updated Finnish, French, German, Norwegian, Polish, and Russian
    translations.

0.0.14  26-Aug-2007
  o Add support for Tor's HashedControlPassword and CookieAuthentication
    options. Password authentication is enabled by default.
  o Add support for Tor's new PROTOCOLINFO control command.
  o Support running on Windows NT 4.0 again.
  o Check to see if "%PROGRAMFILES%\Vidalia Bundle\Tor\tor.exe" exists when
    setting the default Tor executable on Win32. If it doesn't, fall back to
    "%PROGRAMFILES%\Tor\tor.exe". (Ticket #262)
  o Allow the people who think clicking 'New Identity' is the solution to
    everything to be disappointed six times per minute, instead of once.
  o Add the ability to configure Tor's data directory.
  o Give users the option of not removing %APPDATA%\Tor and %APPDATA%\Vidalia
    in the Win32 Vidalia and bundle installers.
  o Add a Czech GUI and installer translation from el Mar.
  o Updated Finnish and German translations.


0.0.13  02-Aug-2007
  o Remove the control protocol version checking logic, since Tor will now
    just hang up if the first command received isn't a valid AUTHENTICATE
    command.
  o Fix a bug where Vidalia would display an incorrect error message if the
    user started Vidalia, stopped Tor, ran Tor manually, then clicked 'Start
    Tor'. (Reported by arma)
  o Maintain a list of address mappings, so we can try to replace IP addresses
    in stream targets with host names when displaying them on the network map.
    (Suggested by phobos)
  o Stop including help documentation for each language, even if it is
    untranslated. If there is no translated help documentation for a language,
    simply load the documentation from the English version.
  o Use RelayBandwidthBurst and RelayBandwidthRate on Tor >= 0.2.0.1-alpha.
  o Remove from the server config page the 'Address' text box, the 'Get
    Address' button, and 'Automatically Update' checkbox.
  o Don't do balloon messages on Windows 2000; I'm told it doesn't work even
    though QSystemTrayIcon::supportsMessages() says it should.
  o Removed a duplicate check when determining what control event Vidalia
    received from Tor.
  o Check /usr/sbin/ for a Tor binary if one isn't found in $PATH.
  o Fixed compilation on Mac OS X Panther.
  o Support building with Qt 4.3 in our configure.in (no code changes
    required).
  o Change the "Start Tor" control panel button text to "Starting Tor" while
    Tor is starting.
  o Added a "Control Panel" item to the OS X dock icon's context menu.
  o Added tooltips to the circuits and streams listed on the network map.
  o Stop putting a torrc in %APPDATA%\Tor if the user is also installing Vidalia,
    since they'll just get confused from having two torrc files.
  o Added a Swedish GUI and installer translation from Amin Amini.
  o Added an Italian installer translation from Alex Mazzariol.
  o Update Finnish, French, German, Italian, Russian and Spanish translations.


0.0.12  01-Jun-2007
  o Added a new "Control Panel" main window that appears when Vidalia first
    starts. This dialog is for people who either aren't trained to look in
    their system tray area for a Vidalia icon, or those who simply do not have
    a system tray area.
  o Added -logfile and -loglevel command-line options that can log useful
    Vidalia debugging messages to a file or to stdout. Hopefully this will
    help make tracking down future Vidalia bugs easier.
  o Add a box to the Advanced settings page to change the IP address on which
    we will try to connect to Tor's control port, instead of always assuming
    127.0.0.1. (Ticket #81)
  o Don't yell at the user if our SAVECONF fails after changing some
    configuration settings; just remember the intended settings and reapply them
    next time Tor runs.
  o Restore a window to its previous state each time it is opened, not just
    the first time after Vidalia is started.
  o Only allow the 'New Identity' button to be clicked once every 60 seconds.
  o Show the number of online servers in the status tip for the server list,
    as well as the total number of servers.
  o Expand filenames that use "~/", "%APPDATA%", or "%PROGRAMFILES%" in either
    the path to Tor's executable or torrc.
  o Fix the message log timestamp format to be "MMM dd hh:mm:ss.zzz", instead
    of "MMM dd hh:mm:ss:zzz".
  o Don't create the help browser window until we actually need it, so we
    don't waste memory on a window the user might never use.
  o Fix a minor bug that's been around since 0.0.1: actually remove objects
    from the list of targets for an event, instead of from a copy of the list.
  o Display command-line options information as a message box so even Win32
    folks can see it, if they give Vidalia a bogus argument.
  o Revert back to the single uninstaller strategy on Win32, so don't leave
    program groups behind after uninstalling the bundle. (Ticket #237)
  o Start Privoxy minimized if the user selects "Run installed components now"
    after completing the Win32 installer.
  o Don't skip past the Win32 installer results immediately, since there could
    have been errors the user should see.
  o Include a default.action file for Privoxy in the Win32 and OS X bundles
    with the +limit-connect{1-} fix.
  o Include some more helpful text in the Win32 installer welcome screen and
    category descriptions.
  o Fix the paths to *-spec.txt in the script that builds the OS X bundles.
  o Include Tor_Uninstaller.applescript and uninstall_tor_bundle.sh in the OS
    X bundle. (Ticket #230)
  o Updated Dutch, Finnish, French, German, Norwegian, Polish and Spanish
    translations.


0.0.11  07-Feb-2007
  o Fix a race condition that could (and did) cause Vidalia to freeze.
  o RESETCONF all server-related settings when the be-a-server checkbox gets
    unchecked, not just ORPort and Nickname.
  o Add support for zlib or gzip compressed GeoIP responses.
  o Handle chunked transfer encodings properly in GeoIP responses.
  o Be a little less eager to send GeoIP requests right away. Now we wait 10
    seconds after adding an address to the queue, or a maximum of 30 seconds,
    before sending the request.
  o Tolerate entries in geoip-cache that have no timestamp. If an entry does
    not have a timestamp, use the current date and time.
  o Respond to double-clicks on the map. Double left-click zooms in towards
    the mouse pointer and double right-click zooms out.
  o If Vidalia is built with Qt >= 4.2, use the open and closed hand cursors
    in ZImageView when panning the world map.
  o Qt >= 4.2 handles the sorting in addTopLevelItem() in the server list. We
    still do the sorted inserts ourselves in older Qts.
  o Display circuits as a list of server nicknames (like we currently do), but
    save the original circuit paths (possibly with key IDs for non-Named
    servers) so we don't display the wrong server information when the user
    selects that circuit.
  o Fix a bug introduced in 0.0.10 that caused a server's little pinpoint on
    the map to not be highlighted green when the server is selected in the
    server list.
  o Update the stream target address on every stream status event, not just
    NEW stream events.
  o Add an EU flag for the server list.
  o Add a "Cancel" button to the message box that asks server operators if
    they want to delay server shutdown or kill Tor right away. (Ticket #222)
  o Add version information to our compiled Win32 vidalia.exe.
  o Be more tolerant of Win32 people removing the Tor service out from under
    Vidalia.
  o Explicitly specify the tab order in the bandwidth graph.
  o Fix a bug in parsing Tor's version string when it contains modifiers such
    as '-alpha'.
  o Make Circuit::hops() correctly return an empty QStringList for empty paths,
    instead of a QStringList with one empty QString.
  o Do a better job of detecting Qt 4.2 debug libs on OS X. There were a few
    necessary non-Qt libs missing from LIBS when we did our AC_TRY_LINK.
  o Add vidalia.spec to our configure.in, so the RPM spec file stays current.
  o Add a Traditional Chinese installer and GUI translation from Cloud.
  o Updated Dutch, Farsi, Polish, Russian, and Simplified Chinese translations.


0.0.10  25-Dec-2006
  o Load NT service functions on demand so we can run on Windows 95/98/ME
    again. (Ticket #211)
  o Add a column to the list of servers in the network map window, with a
    little flag icon for each server.
  o If the network map window is not visible, queue all GeoIP requests until
    either the window becomes visible again or the queue contains requests for
    at least one-quarter of all known servers.
  o If we get a valid geoip response telling us the geoip database doesn't
    have a location for the requested IP address, cache that response for one
    week so we don't keep sending requests that are likely to fail anyway.
  o Use QSystemTrayIcon when available (except on Mac). If we are using
    QSystemTrayIcon on systems that support balloon messages, use a balloon to
    indicate when NEWNYM is successful. We still show a message box when NEWNYM
    fails. (Ticket #183)
  o Add a graph style dropdown box to the bandwidth graph settings, so you can
    choose between a fancy alpha blended area graph and a faster, simpler line
    graph.
  o Add a button to continue starting Vidalia anyway, even if Vidalia thinks
    there might be another Vidalia process already running. It's possible that a
    previous Vidalia did not exit cleanly and another process ended up with
    the old Vidalia's PID.
  o Add a "Zoom to Circuit" option to the circuit context menu in the network
    map's list of circuits.
  o Add a context menu to the dock icon on OS X. (Ticket #135)
  o If we're building with Qt >= 4.2.0, then use its new saveGeometry() and
    restoreGeometry() functions to save and restore window size and position.
    If we're still using an old Qt, make sure the window fits on screen when
    we try to restore it. (Ticket #207)
  o Fix a bug in how the server points were keyed on the network map that
    could cause some circuits to not get drawn. (Ticket #175)
  o Really close the read channel when we want to stop reading from the Tor
    process's stdout. This would sometimes cause duplicate messages in the
    message log if Vidalia was running on a non-English-speaking Windows.
  o Be more correct about what we consider as valid latitudes and longitudes.
  o Give a better error message if we fail to determine what version of Tor's
    control protocol is being spoken.
  o Clarify some labels in the message log settings. (Ticket #203)
  o Settle on a convention of not ending tool tips or status tips with a
    period.
  o Start shipping a geoip-cache file in our Win32 installers so people have
    some initial geographic information, instead of starting out entirely
    empty-handed.
  o Add a Farsi translation.
  o Add a Spanish translation contributed by desolator.
  o Add a Portuguese (Brazilian) translation contributed by Mabat Haram.
  o Add a Simplified Chinese installer translation contributed by omg.
  o Updates to Finnish, French, German, Italian, Norwegian, Polish,
    Russian, and Simplified Chinese translations.


0.0.9   05-Nov-2006
  o Added a new, more intuitive interface for setting a server's bandwidth
    rate and exit policies.
  o Improved our ./configure script so it will detect old or non-debug
    versions of Qt and link accordingly.
  o Added support for more easily building Qt as a Universal binary on OS X.
  o Added a right-click option to circuits listed in the network map dialog to
    close the circuit (Ticket #176).
  o Added a right-click option to servers listed in the network map dialog to
    zoom in on the server on the map (Ticket #176).
  o Stop using a custom font and just use the platform default on all dialogs.
  o Add "Close Window" shortcuts for Linux (Ctrl+W).
  o Fixed a crash bug that would occur when saving messages in the message
    log (Ticket #185).
  o Fixed a bug that would cause messages with identical timestamps to not
    get copied to the clipboard (Ticket #190).
  o Ask if the user wants to delay shutting down their server when Vidalia
    exits, to give clients time to find new circuits. We previously only did
    this when the user stopped Tor, but wasn't exiting Vidalia.
  o If Windows is restarting, then don't ask about delaying a server shut
    down; just stop Tor and exit immediately so Windows doesn't yell at us.
  o Detect if Tor was installed as an NT service prior to Vidalia, so we don't
    accidentally remove it.
  o Create a new torrc and specify a control port for the Tor NT service, so
    it doesn't die when the user tries to start the service and we don't have
    to tell the user to go add a line to their torrc.
  o Fixed a bug that caused Vidalia to crash if it tried to read in a bogus
    geoip-cache file from its data directory (Ticket #184).
  o Refuse to cache information we did not ask for that we received in response
    to a GeoIP request.
  o Wait no more than ten seconds after queueing a GeoIP request before
    sending it, so requests don't starve if we keep constantly getting new
    descriptors.
  o Ask Tor what its SocksPort and SocksAddress is before building our GeoIP
    request, instead of always assuming Tor is listening on 127.0.0.1:9050.
  o Explicitly specify the sort order for the message log and server list, so
    things aren't backwards when linking with Qt 4.2.x.
  o Add support for translating the Vidalia and Vidalia bundle installers.
  o Start bundling Torbutton with the Vidalia bundle installer.
  o Add a Norwegian (Bokmal) translation contributed by xiando.
  o Updates to the Finnish, French, German, and Polish translations.


0.0.8   03-Oct-2006
  o Vidalia will now attempt to connect to an existing Tor's ControlPort
    before starting its own Tor process. If it finds a Tor with an open
    ControlPort, Vidalia will "attach" to that Tor instead of starting a new
    process.
  o Vidalia now supports running Tor as an NT service on Windows.
  o When Vidalia starts its own Tor process, it will now default to starting it
    with a "-f ~/.vidalia/torrc", to avoid permissions conflicts when running
    Tor as a user that does not have write access to the default torrc. The
    torrc used when starting Tor is still configurable.
  o Fix a bug that was causing unexpected behavior with many unrelated Windows
    applications.
  o Do a better job of determining if another Vidalia process is running on
    Windows, to eliminate all the false positives reported.
  o Major performance improvements related to loading the network map.
  o Support receiving server identities in circ events, as well as names, so
    Vidalia will work with Tor 0.1.2.2-alpha and later.
  o Moved the "New Identity" button to the main popup menu for easier
    access.
  o Vidalia dialogs remember their last size and location when Vidalia exits
    and restore their size and location the next time Vidalia runs.
  o Vidalia windows now close in response to a Command-W on Mac OS X.
  o Added a "Zoom To Fit" button to the network map, to zoom in on the active
    circuits.
  o Numerous minor aesthetic and usability improvements to many of Vidalia's
    dialogs.
  o Fix a bug that was causing signal conflict warnings on Debian.
  o Fix a crash that would occur when exiting Vidalia after an attempt to
    start Tor with a non-existent executable.
  o Add a Bulgarian translation contributed by kutia0001.
  o Add a Dutch translation contributed by Saedian.
  o Add a Hungarian translation contributed by Tibor Fekete.
  o Add a Polish translation contributed by ZeeWolf.
  o Updates to the Finnish, French, and Russian translations.


0.0.7   07-Jul-2006
  o Fix a bug that was causing Vidalia to freeze frequently for some people,
    particularly when running at a verbose log level.
  o Fix a bug that would cause Windows Vidalias to not want to start after
    Vidalia had been killed via the Task Manager.
  o Add a French translation contributed by Michel Burkhardt.
  o In the network map, update the displayed uptime by looking at the difference
    between now and the publication time, and add that difference to the published
    uptime.


0.0.6   23-Jun-2006
  o Fix the network map to properly remove circuits after they are closed.
  o Fix our configure script to properly handle the --prefix option (patch by
    Alexander Wirt).
  o Check if Vidalia is already running when we start. If Vidalia is already
    running, then warn and exit in the second instance.
  o Strip all invalid characters from the server's nickname and make sure the
    user can't enter any.
  o Default to the Tor binary located in the user's $PATH, instead of trying
    to guess directory locations.
  o Add support for adjusting a server's BandwidthRate and BandwidthBurst
    values.
  o Store Vidalia's settings in a file, (rather than in the registry on
    Windows), so Vidalia can be more portable. Note that settings aren't
    "imported" from the registry, so 0.0.5 users will have to configure
    their Vidalia settings again.
  o Make the bandwidth graph just a normal window instead of a tool window, so
    it can hide behind other Vidalia windows, if necessary.
  o On OS X, ensure that the About, Configure, and Exit actions get merged
    into the "Vidalia" menu in the default menubar when Vidalia is running in
    a non-English language.
  o Add an Italian translation contributed by Alex Mazzariol.
  o Add a Russian translation contributed by ygrek.
  o Add a manpage for Vidalia contributed by Alexander Wirt.


0.0.5   02-Jun-2006
  o Make the "Always On Top" property of the bandwidth graph optional.
  o Add a new dialog showing a list of routers that the user's Tor currently
    knows about, as well as the user's current circuits and streams and
    detailed information about individual routers. The circuits and router
    geographic locations are plotted on a world map. Thanks to Christoph
    Sieghart, Michael Zuercher, and Adam Tomjack for help with this feature.
  o Stop automatically scrolling to the newest item added to the message log,
    if the user is looking through their message history.
  o Create a horizontal scrollbar on the message log when an excessively long
    message is logged.
  o Add support for the NEWNYM signal in the form of a "New Identity"
    button, to force Tor to use only clean circuits for new application
    requests.
  o Add a Mac OS X bundle.
  o Add a Finnish translation contributed by DJHasis.
  o Add a German translation contributed by Christoph Sieghart.
  o Fix a bug that caused people running servers to update their public IP
    address too often if they had the "Automatically Update" option checked.


0.0.4   09-May-2006
  o Add a fixed set of Windows .ico files from Dan Christensen. Our
    contributed set in 0.0.3 apparently had a blank image in it that some old
    Windowses would use instead of the icon that actually had an image.
  o Add an option for servers to check periodically to see if their public IP
    address has changed.
  o Give servers the option to shut down after 30 seconds, to give clients
    time to find new circuits, instead of just always killing Tor immediately.
  o Improve GUI responsiveness when waiting for the Tor process to finish
    starting up.
  o Be smarter about guessing the default location of Tor in non-English
    Windowses.


0.0.3   13-Apr-2006
  o Fixed a server configuration bug that caused people to not really be a
    middleman node, even though the checkbox told them they were.
  o Fixed a bug in choosing a default language that caused help documents to
    sometimes not appear.
  o Fixed the Win32 bundle installer to not leave 2 files and a registry key
    laying around after an uninstall. Also give users the option of launching
    Vidalia when the solo installer is finished.
  o Fixed a bug where Vidalia would ignore Windows when asked to shut down
    because the system is restarting.
  o Improved tray icon support on older Windowses. Also started using a new
    set of icons created by Matt Hanson, based on our previous set by Corinna
    Habets.
  o Improved help document accessibility by adding "Help" buttons to many
    dialogs and error message boxes.


0.0.2   02-Apr-2006
  o Added an integrated help browser and documentation.
  o Added exit policy configuration support for servers.
  o Added support for language translations and language selection.
  o Added a Simplified Chinese (zh_CN) translation from Wu Xiaoguong.
  o Added support for changing Vidalia's interface style.
  o Aesthetic improvements in many dialogs.


0.0.1   28-Feb-2006
  o Initial testing release.
  o Basic features include:
    - Starting/stopping/monitoring Tor
    - Bandwidth graph
    - Message log
    - Basic server configuration

